[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ChildClassAllowed

Returns True if the specified class is allowed for children of this control.

## Declaration

Source position: controls.pp line 1500

`protected function TControl.ChildClassAllowed(`
`ChildClass: TClass`
`):Boolean; virtual;`

## Arguments

`ChildClass` |  | The class type for the child control.

## Function result

True when the class is allowed as a child control.

## Description

Always returns False in TControl. It is overridden in descendent classes to check whether the class reference in ChildClass is allowed for the control.

## See also

TWinControl.ChildClassAllowed |  | Checks whether the specified class type is allowed as a child control.